

const menuli = document.querySelectorAll('#sidebar .snav li a');


menuli.forEach(ml => {
    ml.insertAdjacentHTML('afterbegin', '<i class="uil uil-arrow-circle-right"></i>');
});

document.querySelector('#nav_pages .pages').insertAdjacentHTML('afterbegin', '<i class="uil uil-desktop"></i>');
document.querySelector('#nav_upload .files').insertAdjacentHTML('afterbegin', '<i class="uil uil-file"></i>');
document.querySelector('#nav_theme .theme').insertAdjacentHTML('afterbegin', '<i class="uil uil-paint-tool"></i>');
document.querySelector('#nav_backups .backups').insertAdjacentHTML('afterbegin', '<i class="uil uil-save"></i>');
document.querySelector('#nav_plugins .plugins').insertAdjacentHTML('afterbegin', '<i class="uil uil-plug"></i>');

document.querySelector("#header #pill .rightnav a").innerHTML = '<i class="uil uil-user"></i>';
document.querySelector("#header #pill .leftnav a").innerHTML = '<i class="uil uil-power"></i>';

document.querySelector('.header .nav .rightnav .settings').innerHTML = '<i class="uil uil-setting"></i>';
document.querySelector('.header .nav .rightnav .support').innerHTML = '<i class="uil uil-life-ring"></i>';



const toper = document.createElement('div');
toper.classList.add('toper');
document.querySelector('#header').prepend(toper);

toper.insertAdjacentHTML('afterbegin', '<div class="wrapper"></div>');

const pill = document.querySelector('#header #pill');

toper.querySelector('.wrapper').prepend(pill);

const rightNav = document.querySelectorAll('.header .nav .rightnav')[0];
const rightNav2 = document.querySelectorAll('.header .nav .rightnav')[1];
toper.querySelector('.wrapper #pill').prepend(rightNav);
toper.querySelector('.wrapper #pill').prepend(rightNav2);
document.querySelectorAll('.imgthumb').forEach(it => { it.style.display = "block" })


const imgLink = document.querySelectorAll('.imgthumb a').forEach(it => {
    const linkit = it.getAttribute('href');
    it.querySelector('img').setAttribute('src', linkit);
});


const folder = document.querySelectorAll('.folder');
folder.forEach(f => {
    f.querySelector('img').style.display = "none";
    f.querySelector('a').insertAdjacentHTML('afterbegin', '<i class="uil uil-folder-open"></i>');
});


///add url section to tr on editpages

if (document.querySelector('#pages') !== null) {

    document.querySelector(' #editpages tr:nth-child(1) th:nth-child(1)').insertAdjacentHTML('afterend', '<th>URL</th>');

    document.querySelectorAll('#editpages .secondarylink a').forEach(sl => {
        sl.innerHTML = '<i class="uil uil-search"></i>';
    });

    document.querySelectorAll('#editpages tr').forEach(tr => {
        if (tr.querySelector('.pagetitle') !== null) {
            const pagetitle = tr.querySelector('.pagetitle');
            const secondarylink = tr.querySelector('.secondarylink a').getAttribute('href');
            pagetitle.insertAdjacentHTML('afterend', '<td class="linker">' + secondarylink + '</td>');

        }
    });
}




// 'Adds collapse/expand-functionality to page-list script by andy-man / plugin created by Carlos / added animation (good color for light-theme) by multicolor ',



$('#editpages tr').attr('rel', 0).addClass('l-0');
$('.pagetitle span').not('.showstatus').each(function (i, e) {
    $tr = $(this).parent().parent();
    var level = $tr.find('.pagetitle span').not('.showstatus').size();
    $tr.attr('rel', level);
    $tr.attr('class', 'hidden l-' + level);
});

$('#editpages tr.hidden').each(function (i, e) {
    if (parseInt($(this).prev().attr('rel')) < parseInt($(this).attr('rel'))) $(this).prev().find('.pagetitle').prepend('<div class="switch"></div>');
});

$('.pagetitle').on('click', '.switch', function () {

    $tr = $(this).parent().parent();
    var lvl = parseInt($tr.attr('rel'));

    if ($(this).hasClass('on'))
        $tr.nextUntil('.l-' + lvl).addClass('hidden').find('.switch.on').removeClass('on');
    else
        $tr.nextUntil('.l-' + lvl, '.l-' + (lvl + 1)).removeClass('hidden').addClass('fadeIn');

    $(this).toggleClass('on');
});

document.querySelectorAll('.switch').forEach(sx => {
    sx.insertAdjacentHTML('afterbegin', '<i class="uil uil-plus"></i>');
});


document.querySelector('#header .nav').insertAdjacentHTML('beforebegin', '<button class="rwd">MENU<i  class="uil uil-bars"></i></button>');

document.querySelector('.rwd').addEventListener('click', () => {


    if (document.querySelector('#header .nav').style.display == "flex") {
        document.querySelector('#header .nav').style.display = "none";
    } else {
        document.querySelector('#header .nav').style.display = "flex";

    }

});









if (document.querySelector('#edit .edit-nav') !== null) {
    document.querySelector('#edit .edit-nav a:nth-child(1)').insertAdjacentHTML('beforeend', '<i class="uil uil-search"></i>');
}



if (document.querySelector('#header #nav_i18n_gallery') !== null) {

    document.querySelector('#header #nav_i18n_gallery a').insertAdjacentHTML('afterbegin', '<i class="uil uil-images"></i>');

};



const mss = document.querySelector('#sb_massiveAdmin');
mss.querySelector('a').innerHTML = '<i class="uil uil-constructor"></i>';
mss.classList.add('rightnav');
document.querySelector('.toper #pill').appendChild(mss);


if (document.body.querySelector('#edit') !== null) {
    const massiveUploader = document.querySelector('.masive-uploader');
    const compmassive = document.querySelector('.compmassive');
    document.querySelector('#sidebar .snav').insertAdjacentElement('beforeend', massiveUploader);
    document.querySelector('#sidebar .snav').insertAdjacentElement('beforebegin', compmassive);

}

